# Class ReflectManagerImpl

java.lang.Object
bsh.ReflectManager
bsh.reflect.ReflectManagerImpl

public class ReflectManagerImpl extends ReflectManager
This is the implementation of: ReflectManager - a dynamically loaded extension that supports extended reflection features supported by JDK1.2 and greater. In particular it currently supports accessible method and field access supported by JDK1.2 and greater.

## Constructor Summary

Constructors
Constructor
Description
`ReflectManagerImpl()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`setAccessible(Object obj)`
Set a java.lang.reflect Field, Method, Constructor, or Array of accessible objects to accessible mode.

### Methods inherited from class ReflectManager

`getReflectManager, RMSetAccessible`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReflectManagerImpl

public ReflectManagerImpl()

## Method Details

### setAccessible

public boolean setAccessible(Object obj)
Set a java.lang.reflect Field, Method, Constructor, or Array of accessible objects to accessible mode. If the object is not an AccessibleObject then do nothing.

Specified by:
  `setAccessible` in class `ReflectManager`
Returns:
  true if the object was accessible or false if it was not.